## com.trilead.ssh2.packets
Class PacketUserauthRequestPublicKey

    java.lang.Object
      com.trilead.ssh2.packets.PacketUserauthRequestPublicKey

    public class PacketUserauthRequestPublicKey

extends java.lang.Object

PacketUserauthRequestPublicKey.

Constructor Summary
`PacketUserauthRequestPublicKey(byte[] payload, int off, int len)`
`PacketUserauthRequestPublicKey(java.lang.String serviceName, java.lang.String user, java.lang.String pkAlgorithmName, byte[] pk, byte[] sig)`

Method Summary
`byte[]` `getPayload()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PacketUserauthRequestPublicKey

    public PacketUserauthRequestPublicKey(java.lang.String serviceName,
                                          java.lang.String user,
                                          java.lang.String pkAlgorithmName,
                                          byte[] pk,
                                          byte[] sig)

### PacketUserauthRequestPublicKey

    public PacketUserauthRequestPublicKey(byte[] payload,
                                          int off,
                                          int len)
                                   throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getPayload

    public byte[] getPayload()